Nice explanation! However, in the code, shouldn't line 10 be nums [i - 1] instead of nums [i]? Prefix sum is sum of all elem to left of current elem (at i). That is also the reason we check for i != 0, since there is nothing to left of 0, so we cannot do nums [0 - 1] and so we assume prefix sum = 0 in that case.
depends on the requirements and constraints. Here it considers everything left from nums[0] as 0, as well as everything right from nums[nums.length - 1]
Your explanations are the best and I love you bruh (much better than neetcode), but coming directly to the total sum may be not so intuitive, was not for me. I first solved it with left to right and right to left loops. Then to remove the extra space, I came up with the total sum.
This logic also works fine
int sum=0;
for(int i=0;i
Nice explanation! However, in the code, shouldn't line 10 be nums [i - 1] instead of nums [i]? Prefix sum is sum of all elem to left of current elem (at i). That is also the reason we check for i != 0, since there is nothing to left of 0, so we cannot do nums [0 - 1] and so we assume prefix sum = 0 in that case.
depends on the requirements and constraints. Here it considers everything left from nums[0] as 0, as well as everything right from nums[nums.length - 1]
Love the fact that it was actually a long explanation cause you did a great job at teaching the example at hand.
No dude , no mess at all thanks if the video is still longer bt you conveyed it nicely to people.
if anyone listen you carefully ,then easily understand...really very good explanation...
bro try to upload more video(leetcode) as much as possible...
You are amazing leetcoder nick.
Yo Man - You are doing great and one of the best leetCoder
6:56 we respect your efforts !! love you bro !! we respect you
it's more like a stand up dude ! 😂
but worth it
I love your way of teaching Nick Love from India💙
Thank you so much and for also showing your mistakes, it helps us understand better
Your explanations are the best and I love you bruh (much better than neetcode), but coming directly to the total sum may be not so intuitive, was not for me. I first solved it with left to right and right to left loops.
Then to remove the extra space, I came up with the total sum.
Thanks dude, you explained very well
You are the best leetcoder ever...your solutions are amazing with really good explanation!
that line " iam the king of mistakes"🤣🤣🤣🤣
I wasted 3 hrs in this problem. Trying to solve this
I never make mistakes, which is why watch your videos.... Just kiddin' great explanation. Thanks.
you are my ideal person !!!
You are the best😍😌
04:10 my boy is high for sure lmao
thnx,
🔥🔥🔥
Luke Skywalker